New melones generator rewind

Ended Definitive Contract Awarded Last action

Contract number
140R2022C0015
Awardee
Awarding agency
Obligated
$30,531,326

Award facts

Opportunity
Contract value 100% obligated
$30,531,326.46 Current and potential, with all options
Completion date 100% complete
Current and potential, with all options
Set-aside
No set-aside
Competition
Full and Open Competition · 3 offers Negotiated Proposal / Quote
Pricing
Firm Fixed Price
Place of performance
Sonoma, CA 95476, USA
Legislative mandates

Award details come from SAM.gov/FPDS.

Transactions

Action Obligated Date
Supplemental Agreement for work within scope P00022 · Full and equitable adjustment for RFC 126 - stator core loop test repair and RFC 133 - U2 turbine guide bearing, dowel holes & RTD hole and incorporate… $24,872
Supplemental Agreement for work within scope P00021 · The purpose of this modification is to extend the contract period of performance in the financial business management system (fbms). $0
Definitize Change Order P00020 · The purpose of this modification is to definitize unilateral modification number P00011 and unilateral modification number P00015. $7,218
Supplemental Agreement for work within scope P00019 · This modification is to provide full and equitable adjustment for the work associated with RFC 131 - U2 brake & jack swagelok fittings and RFC-132 U2… $11,412
Other Administrative Action P00018 · The purpose of this modification is to extend the contract period of performance in the financial business management system (fbms). $0
Supplemental Agreement for work within scope P00017 $6,632
Supplemental Agreement for work within scope P00016 · The purpose of this modification is to provide full and equitable adjustment for the work associated with rotor spider crack weld repairs and extend the… $188,603
Change Order P00015 · The purpose of this modification is to provide direction to move forward with troubleshooting and repairing new melones powerplant's downstream auxiliary hoist. $40,000
Supplemental Agreement for work within scope P00014 · The purpose of this modification is to execute optional schedule d from the base contract. $639,505
Supplemental Agreement for work within scope P00013 · The purpose of this modification is to refurbish generator spares $247,121
Change Order P00012 · The purpose of this modification is to provide direction to suspend work $0
Change Order P00011 · The purpose of this modification is to provide direction to move forward with troubleshooting and correcting unit 1 control breaker $40,000
Funding Only Action P00010 $11,488,564
Funding Only Action P00009 · This modification shall provide an incremental funding increase to the contract in the amount of $2,500,000.00. $2,500,000
Supplemental Agreement for work within scope P00008 · Execute schedule c $641,870
Supplemental Agreement for work within scope P00007 -$3,550
Supplemental Agreement for work within scope P00006 · Descope chiller block for brazing -$20,922
Funding Only Action P00005 $3,600,000
Funding Only Action P00004 · Increase funding $10,700,000
Supplemental Agreement for work within scope P00003 · Incorporate changes in specifications. $0
Other Administrative Action P00002 · Adjustment in unit 1 outage dates $0
Other Administrative Action P00001 $0
Original award $420,000
Show all 23

About this award

The Bureau of Reclamation awarded a $30.531 million definitive contract to GE Renewables US LLC for the New Melones Generator Rewind on August 26, 2022, under a firm fixed-price structure, with ultimate completion on May 31, 2026.

The originating pre-solicitation, posted January 24, 2022, sought disassembly, inspection, furnishing of new armature windings and stator cores, installation of monitoring and instrumentation, optional re-babbiting of bearings, replacement of air baffles and auxiliary equipment, ventilation design study, reassembly, commissioning, and installation of a neutral grounding transformer for two synchronous generators at New Melones Powerplant in Calaveras County, California. The contract also incorporates a full and equitable adjustment for RFC 126 (stator core loop test repair) and RFC 133 (U2 turbine guide bearing, dowel holes, and RTD hole) with a revised contracting officer letter. Place of performance is Sonoma, California. The contract operates under no set-aside designation and carries NAICS code 237990 (Electric Power Generation, Transmission and Distribution). Subcontractors include Enscicon Corp (temporary help and staffing services), American Babbitt Bearing Inc. (bearing refurbishment and machining), Fastenal Company (fasteners and consumables), and multiple specialized vendors including RPR Hydro, Swift Industrial Supplies LLC, Bayview Environmental Services Inc., McGrath Rentcorp (modular facilities), and others supporting repair, manufacturing, environmental, and infrastructure components of the generator rewind effort.

Subawards

Subcontractor Amount Awarded
Subcontractor not on record NEW MELONES GENERATOR REWIND Machining services. -$11,900
United Rentals (North America), Inc. NEW MELONES GENERATOR REWIND Commercial machinery rental. -$28,414
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary site support services. -$7,134
Subcontractor not on record NEW MELONES GENERATOR REWIND Machining services. $44,167
Swift Industrial Supplies LLC NEW MELONES GENERATOR REWIND Supplies and parts consumables. $18,000
Subcontractor not on record NEW MELONES GENERATOR REWIND Machining services. $67,434
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary site support services. -$250,121
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary site support services. $72,326
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary site support services. -$7,499
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary site support services. $12,659
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary site support services. $198,957
Swift Industrial Supplies LLC NEW MELONES GENERATOR REWIND Materials and component parts. $15,000
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services. $379,652
Subcontractor not on record NEW MELONES GENERATOR REWIND Commercial and Industrial Machinery and Equipment (except Automotive and Electronic) Repair and Maintenance. $613
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services. -$156,811
Subcontractor not on record NEW MELONES GENERATOR REWIND Other Scientific and Technical Consulting Services. -$88,204
Subcontractor not on record NEW MELONES GENERATOR REWIND Commercial and Industrial Machinery and Equipment (except Automotive and Electronic) Repair and Maintenance. $3,330
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services. -$42,296
Subcontractor not on record NEW MELONES GENERATOR REWIND Temporary Help Services. -$6,578
Subcontractor not on record NEW MELONES GENERATOR REWIND Temporary Help Services. -$17,270
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services. $107,045
Subcontractor not on record NEW MELONES GENERATOR REWIND Commercial and Industrial Machinery and Equipment (except Automotive and Electronic) Repair and Maintenance Services. -$18,000
Fastenal Company NEW MELONES GENERATOR REWIND Bolt, Nut, Screw, Rivet, and Washer Manufacturing. $8,200
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services. $26,338
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services. -$26,338
Subcontractor not on record NEW MELONES GENERATOR REWIND Temporary Help Services $405,000
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services $650,000
Subcontractor not on record NEW MELONES GENERATOR REWIND Temporary Help Services at site. $97,000
Mcgrath Rentcorp NEW MELONES GENERATOR REWIND Leasing of Building Space to the Federal Government by Owners. $25,000
Subcontractor not on record NEW MELONES GENERATOR REWIND Temporary Help Services. $3,285
Bayview Environmental Services, Inc. NEW MELONES GENERATOR REWIND Environmental Consulting Services. $13,048
Subcontractor not on record NEW MELONES GENERATOR REWIND Temporary Help Services. $39,540
Subcontractor not on record NEW MELONES GENERATOR REWIND Temporary Help Services. $175,000
Subcontractor not on record NEW MELONES GENERATOR REWIND Commercial and Industrial Machinery and Equipment (except Automotive and Electronic) Repair and Maintenance. -$5,472
Vibrosystm Inc. NEW MELONES GENERATOR REWIND Hardware Manufacturing Services. $2,539
Subcontractor not on record NEW MELONES GENERATOR REWIND Testing Laboratories and Services $20,000
Produits Electrolation Inc. NEW MELONES GENERATOR REWIND All Other Miscellaneous Manufacturing. $31,674
American Babbitt Bearing Inc. NEW MELONES GENERATOR REWIND Commercial and Industrial Machinery and Equipment (except Automotive and Electronic) Repair and Maintenance $94,950
Ballard Industrial, Inc. NEW MELONES GENERATOR REWIND All Other Miscellaneous General Purpose Machinery Manufacturing. $17,000
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services $200,000
Enscicon Corp NEW MELONES GENERATOR REWIND Temporary Help Services $40,000
Procore Technologies Inc. THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO SUSPEND WORK Computing Infrastructure Providers, Data Processing, Web Hosting, and Related Services $17,392
Subcontractor not on record NEW MELONES GENERATOR REWIND Commercial and Industrial Machinery and Equipment (except Automotive and Electronic) Repair and Maintenance. $3,394
Subcontractor not on record THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO SUSPEND WORK Temporary Help Services $35,000
Bayview Environmental Services, Inc. THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO SUSPEND WORK Environmental Consulting Services $104,000
Swift Industrial Supplies LLC THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO SUSPEND WORK All Other Miscellaneous Manufacturing $30,000
Subcontractor not on record THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO MOVE FORWARD WITH TROUBLESHOOTING AND CORRECTING UNIT 1 CONTROL BREAKER Fluid Power Pump and Motor… -$1,440
Subcontractor not on record THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO MOVE FORWARD WITH TROUBLESHOOTING AND CORRECTING UNIT 1 CONTROL BREAKER Commercial and Industrial… $63,458
9150-6584 Quebec Inc. THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO MOVE FORWARD WITH TROUBLESHOOTING AND CORRECTING UNIT 1 CONTROL BREAKER All Other Miscellaneous… -$3,177
Show 39 more

Latest 49 listed here. See the rest on GovTribe.

Quick answers

Who was awarded contract 140R2022C0015?

140R2022C0015 was awarded to GE Renewables US LLC by Bureau of Reclamation (Department of the Interior) on August 26, 2022.

How much is contract 140R2022C0015 worth?

The government has obligated $30,531,326 on 140R2022C0015.

Was contract 140R2022C0015 competed?

The extent of competition for 140R2022C0015 was full and open competition. The government received 3 offers.

On GovTribe

See this award's full record

  • Every transaction and funding action
  • The awardee's other awards and teaming partners
  • Similar awards and recompete opportunities
  • Ask GovTribe AI about this award